PostgreSQL 7.2.1 Documentation
Prev |  | Next

# update

## Name

update -- update a database table

## Synopsis

    update(table, a)

### Parameters

`table`

  Name of table.

`a`

  A dictionary of values.

### Return Type

integer

  The OID of the newly updated row.

## Description

Similar to insert but updates an existing row. The update is based on the OID value as munged by get. The array returned is the one sent modified to reflect any changes caused by the update due to triggers, rules, defaults, etc.

Prev | Home | Next
insert | Up | clear